using Newtonsoft.Json;

namespace WeatherDashboard
{
    [JsonConverter(typeof(JsonPathConverter))]
    public class ForecastSummary
    {
        [JsonProperty("condition.text")]
        public string ConditionName { get; set; }

        [JsonProperty("maxtemp_f")]
        public decimal HighTemp { get; set; }

        [JsonProperty("mintemp_f")]
        public decimal LowTemp { get; set; }
    }
}